Document Directory

Translation Task API

Revise Translation

POST/v1/translation/updateTexts

Submit revision for translated texts in a task, with option to regenerate translations.

Complete address
https://otranslator.com/api/v1/translation/updateTexts
Authentication
API Key needs to be passed in the Authorization request header
Content-Type
application/json
Invalid format
{ "error": "Invalid API key." }

Precautions

revisedTexts will be written to the task translation cache to save manually revised translations.

When startTranslation is true, the task processing will be re-triggered after saving the revision.

Example

curl
1curl -X POST 'https://otranslator.com/api/v1/translation/updateTexts' \
2--header 'Authorization: [yourSecretKey]' \
3--header 'Content-Type: application/json' \
4--data '{
5  "taskId": "[string]",
6  "revisedTexts": {
7    "key": "value"
8  }
9}'

Request Parameters

ParametersTypeDefaultDescriptionExample
*taskIdString-

Translation Task ID

-
*revisedTextsJSON-

Revised translation

-
startTranslationBooleanfalse

Regenerate translation

-

Response

ParametersTypeDefaultDescriptionExample
successBoolean-

Update successful

-

Common Errors

401 Missing API key.

The Authorization request header is required.

401 Invalid API key.

The API key does not exist, has been deleted, or is no longer valid.

400 Missing required parameter: taskId.

Provide the taskId returned by the create translation task API.

404 Task not found.

The task does not exist, has been deleted, does not belong to the current API account, or was not created through the API.

409 Task is processing. Try again after it finishes.

revisedTexts cannot be updated while the task is processing.

Translation Task API
Retrieve translation
Translation Task API
Restart translation task